summaryrefslogtreecommitdiffstats
path: root/development/autogen
diff options
context:
space:
mode:
author crocket <crockabiscuit@yahoo.com>2011-02-02 22:04:38 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-02-02 22:04:38 -0600
commit8f4957310ed8b8cec4e08fa08443a6056e43544a (patch)
tree7000a06f48c21033a23b6c6db8524a36c2d88164 /development/autogen
parent5dffd2fb06cc8ad54758567ffa930e47d695e6f0 (diff)
downloadslackbuilds-8f4957310ed8b8cec4e08fa08443a6056e43544a.tar.gz
slackbuilds-8f4957310ed8b8cec4e08fa08443a6056e43544a.tar.xz
development/autogen: Added (configure generator)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'development/autogen')
-rw-r--r--development/autogen/README5
-rw-r--r--development/autogen/autogen.SlackBuild95
-rw-r--r--development/autogen/autogen.info12
-rw-r--r--development/autogen/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/development/autogen/README b/development/autogen/README
new file mode 100644
index 0000000000..81f882dddb
--- /dev/null
+++ b/development/autogen/README
@@ -0,0 +1,5 @@
+autogen generates program files from repetitive text with varied
+substitutions. Its goal is to simplify the maintenance of programs
+that contain large amounts of repetitive text. This is especially
+valuable if there are several blocks of such text that must be kept
+synchronized in parallel tables.
diff --git a/development/autogen/autogen.SlackBuild b/development/autogen/autogen.SlackBuild
new file mode 100644
index 0000000000..70f170e6a0
--- /dev/null
+++ b/development/autogen/autogen.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for autogen
+
+# Written by crocket (crockabiscuit@yahoo.com)
+
+PRGNAM=autogen
+VERSION=${VERSION:-5.11.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc
+tar xvf $CWD/$PRGNAM-$VERSION-doc.tar.gz -C $PKG/usr/doc
+rm -rf $PKG/usr/doc/$PRGNAM-$VERSION/info
+chown -R root:root $PKG/usr/doc
+find $PKG/usr/doc/$PRGNAM-$VERSION -type d -exec chmod 0755 {} \;
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 0644 {} \;
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS NOTES README THANKS TODO VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/autogen/autogen.info b/development/autogen/autogen.info
new file mode 100644
index 0000000000..3f5efaaf16
--- /dev/null
+++ b/development/autogen/autogen.info
@@ -0,0 +1,12 @@
+PRGNAM="autogen"
+VERSION="5.11.5"
+HOMEPAGE="http://www.gnu.org/software/autogen/"
+DOWNLOAD="http://ftp.gnu.org/gnu/autogen/rel5.11.5/autogen-5.11.5.tar.bz2 \
+ http://ftp.gnu.org/gnu/autogen/rel5.11.5/autogen-5.11.5-doc.tar.gz"
+MD5SUM="51c841eab6114de22b55f77a1c4f85b8 \
+ 19ebaa935855f49697baaeed19749d55"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="crocket"
+EMAIL="crockabiscuit@yahoo.com"
+APPROVED="rworkman"
diff --git a/development/autogen/slack-desc b/development/autogen/slack-desc
new file mode 100644
index 0000000000..aafdd18ec1
--- /dev/null
+++ b/development/autogen/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+autogen: autogen (configure generator)
+autogen:
+autogen: autogen generates program files from repetitive text with varied
+autogen: substitutions. Its goal is to simplify the maintenance of programs
+autogen: that contain large amounts of repetitive text. This is especially
+autogen: valuable if there are several blocks of such text that must be kept
+autogen: synchronized in parallel tables.
+autogen:
+autogen: Homepage: http://www.gnu.org/software/autogen
+autogen:
+autogen: